petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSMonitorSolution

Monitors progress of the TS solvers by VecView() for the solution at each timestep. Normally the viewer is a binary file or a PetscDraw object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorSolution(TS ts,PetscInt step,PetscReal ptime,Vec u,PetscViewerAndFormat *vf)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current state
| vf | - viewer and its format

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages